﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class GridWithTotal : System.Web.UI.Page
{
    decimal standardCostTotals = 0;
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void GridView1_RowDataBound(object sender, GridViewRowEventArgs e)
    {
        if (e.Row.RowType == DataControlRowType.DataRow)
        {
            decimal total = (decimal)DataBinder.Eval(e.Row.DataItem, "StandardCost");
            standardCostTotals += total;
        }

        if (e.Row.RowType == DataControlRowType.Footer)
        {
            Label lblTotal = (Label)e.Row.FindControl("lblTotals");
            lblTotal.Text = String.Format("Total: {0:c}", standardCostTotals);
        }
    }
}